Bug 1016803 - Review Request: rodent-icon-theme - SVG scalable icon theme by Rodent
Review Request: rodent-icon-theme - SVG scalable icon theme by Rodent
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 13:40 EDT by Antonio Trande
Modified: 2013-12-14 22:27 EST (History)
6 users (show)

See Also:
Fixed In Version: rodent-icon-theme-5.0-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-14 22:27:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Antonio Trande 2013-10-08 13:40:09 EDT
Spec URL: http://sagitter.fedorapeople.org/rodent-icon-theme/rodent-icon-theme.spec
SRPM URL: http://sagitter.fedorapeople.org/rodent-icon-theme/rodent-icon-theme-5.0-1.fc19.src.rpm
Description: Rodent-icon-theme (was xfce4-icon-theme) is a svg (scalable) icon theme by Rodent
Fedora Account System Username: sagitter
Comment 1 Mario Blättermann 2013-10-08 15:19:55 EDT
@Antonio, please use always "Version: rawhide" for your review tickets. Imagine, the review process cannot completed until F19 becomes EOL (have a look at our long-standing tickets in Jason Tibbits' list) then your ticket would also become EOL because it refers to F19 only. If it refers to Rawhide, it is for eternity, because Rawhide will never die ;)
Comment 2 Christopher Meng 2013-10-09 00:30:35 EDT
1. Contact upstream about the not-utf8 issue;

2. %setup -q -n %{name}-%{version}

Ah since %setup -q is more convenient, you can use %setup -q.

3. To me I now remove /usr/bin/ or /bin in %post script, just a notification.

4. My suggestion of %description:

%description
Rodent-icon-theme (was xfce4-icon-theme) is a freedesktop 
compatible svg (scalable) icon theme which can work with 
most mayor Linux desktop environments.

------

PACKAGE APPROVED.

Please consider my suggestions.
Comment 3 Christopher Meng 2013-10-09 03:45:15 EDT
Sorry a bit rushed.

Issues I forgot to mention:

1. COPYIING file has outdated information so rpmlint will not be silent.

2. Except first 2 tags, other tags have used mixed tab/space, please cleanup.

3. Sorry for being rushed again, I was using an old machine for some special cases, so the version of fedora-review is not the latest. I just get notification from Ken and knew that there have directories being owned by xfce4-icon-theme, too. So I think we need to fix it up in %files.
Comment 4 Antonio Trande 2013-10-09 13:48:39 EDT
(In reply to Christopher Meng from comment #3)
> Sorry a bit rushed.
> 
> Issues I forgot to mention:
> 
> 1. COPYIING file has outdated information so rpmlint will not be silent.

I will inform the upstream about that. 

> 
> 2. Except first 2 tags, other tags have used mixed tab/space, please cleanup.

Clean.

> 
> 3. Sorry for being rushed again, I was using an old machine for some special
> cases, so the version of fedora-review is not the latest. I just get
> notification from Ken and knew that there have directories being owned by
> xfce4-icon-theme, too. So I think we need to fix it up in %files.

Oh! I had not seen.
Thank you and thanks to Ken.
 
Spec URL: http://sagitter.fedorapeople.org/rodent-icon-theme/rodent-icon-theme.spec
SRPM URL: http://sagitter.fedorapeople.org/rodent-icon-theme/rodent-icon-theme-5.0-2.fc19.src.rpm
Comment 5 Christopher Meng 2013-10-09 23:21:21 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

############################################################################

Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find text-x-copying.svg in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

############################################################################

Above can be ignored.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/icons/Rodent/scalable/emotes,
     /usr/share/icons/Rodent/scalable/categories,
     /usr/share/icons/Rodent/scalable/actions,
     /usr/share/icons/Rodent/scalable/places,
     /usr/share/icons/Rodent/scalable/status
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/icons/Rodent,
     /usr/share/icons/Rodent/scalable/devices,
     /usr/share/icons/Rodent/scalable/mimetypes,
     /usr/share/icons/Rodent/scalable/stock,
     /usr/share/icons/Rodent/scalable/emblems,
     /usr/share/icons/Rodent/scalable/categories,
     /usr/share/icons/Rodent/scalable/actions,
     /usr/share/icons/Rodent/scalable,
     /usr/share/icons/Rodent/scalable/places,
     /usr/share/icons/Rodent/scalable/status,
     /usr/share/icons/Rodent/scalable/emotes,
     /usr/share/icons/Rodent/scalable/apps
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in rodent-icon-theme
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.

############################################################################

Rpmlint
-------
Checking: rodent-icon-theme-5.0-2.fc21.noarch.rpm
          rodent-icon-theme-5.0-2.fc21.src.rpm
rodent-icon-theme.noarch: W: spelling-error %description -l en_US freedesktop -> free desktop, free-desktop, desktop
rodent-icon-theme.noarch: W: spelling-error %description -l en_US svg -> avg, sag, VG
rodent-icon-theme.noarch: E: incorrect-fsf-address /usr/share/doc/rodent-icon-theme/COPYING
rodent-icon-theme.src: W: spelling-error Summary(en_US) scalable -> salable, callable, calculable
rodent-icon-theme.src: W: spelling-error %description -l en_US freedesktop -> free desktop, free-desktop, desktop
rodent-icon-theme.src: W: spelling-error %description -l en_US svg -> avg, sag, VG
rodent-icon-theme.src: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
rodent-icon-theme.src: W: strange-permission rodent-icon-theme-5.0.tar.gz 0600L
2 packages and 0 specfiles checked; 1 errors, 7 warnings.

############################################################################

Above can be ignored.

############################################################################

Rpmlint (installed packages)
----------------------------
# rpmlint rodent-icon-theme
rodent-icon-theme.noarch: W: spelling-error %description -l en_US freedesktop -> free desktop, free-desktop, desktop
rodent-icon-theme.noarch: W: spelling-error %description -l en_US svg -> avg, sag, VG
rodent-icon-theme.noarch: E: incorrect-fsf-address /usr/share/doc/rodent-icon-theme/COPYING
1 packages and 0 specfiles checked; 1 errors, 2 warnings.
# echo 'rpmlint-done:'

############################################################################

Above can be ignored.

Requires
--------
rodent-icon-theme (rpmlib, GLIBC filtered):
    /bin/sh



Provides
--------
rodent-icon-theme:
    rodent-icon-theme



Source checksums
----------------
http://sourceforge.net/projects/xffm/files/rodent-icon-theme/rodent-icon-theme-5.0.tar.gz :
  CHECKSUM(SHA256) this package     : 6ed00d16faa1f55b3bb7b13862de1d7f5cfd978b93e42487ded21595d0dbe208
  CHECKSUM(SHA256) upstream package : 6ed00d16faa1f55b3bb7b13862de1d7f5cfd978b93e42487ded21595d0dbe208


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -rvn rodent-icon-theme-5.0-2.fc19.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 6 Antonio Trande 2013-10-10 14:32:15 EDT
(In reply to Christopher Meng from comment #5)
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> ############################################################################
> 
> Issues:
> =======
> - If (and only if) the source package includes the text of the license(s) in
>   its own file, then that file, containing the text of the license(s) for the
>   package is included in %doc.
>   Note: Cannot find text-x-copying.svg in rpm(s)
>   See:
>   http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
> 
> ############################################################################
> 
> Above can be ignored.
> 
> ===== MUST items =====
> 
...
> [!]: Package requires other packages for directories it uses.
>      Note: No known owner of /usr/share/icons/Rodent/scalable/emotes,
>      /usr/share/icons/Rodent/scalable/categories,
>      /usr/share/icons/Rodent/scalable/actions,
>      /usr/share/icons/Rodent/scalable/places,
>      /usr/share/icons/Rodent/scalable/status
> [!]: Package must own all directories that it creates.
>      Note: Directories without known owners: /usr/share/icons/Rodent,
>      /usr/share/icons/Rodent/scalable/devices,
>      /usr/share/icons/Rodent/scalable/mimetypes,
>      /usr/share/icons/Rodent/scalable/stock,
>      /usr/share/icons/Rodent/scalable/emblems,
>      /usr/share/icons/Rodent/scalable/categories,
>      /usr/share/icons/Rodent/scalable/actions,
>      /usr/share/icons/Rodent/scalable,
>      /usr/share/icons/Rodent/scalable/places,
>      /usr/share/icons/Rodent/scalable/status,
>      /usr/share/icons/Rodent/scalable/emotes,
>      /usr/share/icons/Rodent/scalable/apps

This problem is intricate.
'xfc4-icon-theme' and 'rodent-icon-theme' share various directories except 

%{_datadir}/icons/Rodent/scalable/categories
%{_datadir}/icons/Rodent/scalable/actions
%{_datadir}/icons/Rodent/scalable/places
%{_datadir}/icons/Rodent/scalable/status

but they conflict because of some files

/Rodent/scalable/emblems/emblem-desktop.svg
/Rodent/scalable/emblems/emblem-documents.svg
/Rodent/scalable/emblems/emblem-important.svg
/Rodent/scalable/emblems/emblem-symbolic-link.svg 

Maybe, a solution could be: rodent-icon-theme can own all directories it uses but it conflicts with xfce4-icon-theme.
Comment 7 Mario Blättermann 2013-10-10 14:54:25 EDT
(In reply to Antonio Trande from comment #6)
> This problem is intricate.
> 'xfc4-icon-theme' and 'rodent-icon-theme' share various directories except 
> 
> %{_datadir}/icons/Rodent/scalable/categories
> %{_datadir}/icons/Rodent/scalable/actions
> %{_datadir}/icons/Rodent/scalable/places
> %{_datadir}/icons/Rodent/scalable/status
> 
> but they conflict because of some files
> 
> /Rodent/scalable/emblems/emblem-desktop.svg
> /Rodent/scalable/emblems/emblem-documents.svg
> /Rodent/scalable/emblems/emblem-important.svg
> /Rodent/scalable/emblems/emblem-symbolic-link.svg 
> 
> Maybe, a solution could be: rodent-icon-theme can own all directories it
> uses but it conflicts with xfce4-icon-theme.

Currently xfce4-icon-theme doesn't contain scalable icons, only the 48x48 ones. If we speak about scalable icons only, the packages cannot conflict. Well, the folder /usr/share/icons/Rodent/ is owned by xfce4-icon-theme, but that one is not needed by rodent-icon-theme. That's why it is possible to co-own the folder by both packages.
With your current line
%{_datadir}/icons/Rodent/scalable/*/*.svg
only the svg files are owned, and no one of the folder hierarchy. Change it to
%{_datadir}/icons/Rodent/
and all is fine again.
Comment 8 Mario Blättermann 2013-10-10 15:06:58 EDT
(In reply to Mario Blättermann from comment #7)
> Currently xfce4-icon-theme doesn't contain scalable icons, only the 48x48
> ones.
Sorry for the blurb. Indeed, there are scalable icons in xfce4-icon-theme. To don't cause package conflicts, you *could* let co-own some folders by both packages, but in case of file conflicts, you have to remove the appropriate icons from your package.

Another idea: What about to ask the maintainers of xfce4-icon-theme to provide the folder structure in a -filesystem subpackage? That package would own the folders and it would become much easier for you. The package rodent-icon-theme would have a xfce4-icon-theme dependency, and no more than that. However, the problem with the duplicate svg files would persist.
Comment 9 Antonio Trande 2013-10-11 15:44:41 EDT
(In reply to Mario Blättermann from comment #8)
> (In reply to Mario Blättermann from comment #7)
> > Currently xfce4-icon-theme doesn't contain scalable icons, only the 48x48
> > ones.
> Sorry for the blurb. Indeed, there are scalable icons in xfce4-icon-theme.
> To don't cause package conflicts, you *could* let co-own some folders by
> both packages, but in case of file conflicts, you have to remove the
> appropriate icons from your package.
> 

What about index.theme file from rodent-icon-theme ?
It's already installed by xfce4-icon-theme in /usr/share/icons/Rodent and we need to update it with new directories from rodent-icon-theme.
Comment 10 Mario Blättermann 2013-10-11 16:09:32 EDT
(In reply to Antonio Trande from comment #9)
> What about index.theme file from rodent-icon-theme ?
> It's already installed by xfce4-icon-theme in /usr/share/icons/Rodent and we
> need to update it with new directories from rodent-icon-theme.

Your package must not touch a file from another package. But I don't know what to do in this case. Just an idea: Rodent icons are an addition to xfce4-icon-theme, as far as I can evaluate. What about to ask the xfce4-icon-theme maintainers to add the Rodent icons as a second source, omitting the duplicates? The index file could be patched to recognize the extra folders.

And another idea: Rename the package, the index file and the folders in a way that nothing can cause an installation conflict. I propose "Rodent-new" or anything similar.
Comment 11 Antonio Trande 2013-10-12 07:32:42 EDT
(In reply to Mario Blättermann from comment #10)
> (In reply to Antonio Trande from comment #9)
> 
> And another idea: Rename the package, the index file and the folders in a
> way that nothing can cause an installation conflict. I propose "Rodent-new"
> or anything similar.

/usr/share/icons/Rodent is now renamed /usr/share/icons/rodent.
rodent-icon-theme and xfce4-icon-theme can now live side by side happily. :)

Spec URL: http://sagitter.fedorapeople.org/rodent-icon-theme/rodent-icon-theme.spec
SRPM URL: http://sagitter.fedorapeople.org/rodent-icon-theme/rodent-icon-theme-5.0-2.fc19.src.rpm

PS
I left unchanged the release number since it's relative to same issue.
Comment 12 Kevin Fenzi 2013-10-28 14:48:14 EDT
I'd be fine just dropping rodent from xfce4-icon-theme in favor of this one... Adding Christoph to see what he thinks.
Comment 13 Antonio Trande 2013-11-04 15:07:47 EST
Christoph, we are waiting for your opinion. :)
Comment 14 Christopher Meng 2013-11-18 20:28:34 EST
I'm not that Christoph.
Comment 15 Antonio Trande 2013-11-19 12:24:06 EST
(In reply to Christopher Meng from comment #14)
> I'm not that Christoph.

I advised you given that this review is assigned to you. :)
Comment 16 Christopher Meng 2013-11-20 00:27:10 EST
I need answer from xfce4-icon-theme maintainers, so days ago I sent email to kevin and cw to ensure that they are willing to drop rodent in xfce4-icon-theme pacakge.

If they are willing to drop rodent from xfce4-icon-theme package, then you don't need to modify the makefile.

That's what I'm concerned about.
Comment 17 Christoph Wickert 2013-12-05 07:50:11 EST
Kevin, who is the package owner already said he is fine with rodent-icon-theme replacing xfce4-icon theme. So am I, but I suggest you only do this in Fedora >= 20 and not in the released versions.

This however requires a few more changes:

- Completely obsolete/provide xfce4-icon-theme as per https://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages

- You need to own all of %{_datadir}/icons/rodent/
You need to own this directory anyway, because with two packages that do not 

- Replace it in comps, too. See https://fedoraproject.org/wiki/How_to_use_and_edit_comps.xml_for_package_groups

- If you completely replace xfce4-icon-theme, you can simply use %{_datadir}/icons/Rodent/ instead of %{_datadir}/icons/rodent/


General remarks:

- Instead of:
  sed -e 's|Rodent|rodent|g' -i Makefile.in
  sed -e 's|Rodent|rodent|g' -i scalable/*/Makefile.in
you can simply use:
  sed -e 's|Rodent|rodent|g' -i Makefile.in scalable/*/Makefile.in

- Please preserve timestamps during %prep and %install, see
https://fedoraproject.org/wiki/Packaging:Guidelines#Timestamps

To preserve the timestamps during iconv conversion, see second example from https://fedoraproject.org/wiki/Packaging_tricks#Convert_encoding_to_UTF-8

To preserve timestamps during %install, please change
  make install DESTDIR=$RPM_BUILD_ROOT
to
  make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

- The scriptlets create the icon theme cache, so you need to include it as 
%ghost %{_datadir}/icons/rodent/icon-theme.cache
See http://www.rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html


The rest looks fine and I trust Christopher enough to finish this review. Thanks everybody!
Comment 18 Antonio Trande 2013-12-05 13:10:37 EST
(In reply to Christoph Wickert from comment #17)

Hi Christoph.
Thanks for your reply.

> Kevin, who is the package owner already said he is fine with
> rodent-icon-theme replacing xfce4-icon theme. So am I, but I suggest you
> only do this in Fedora >= 20 and not in the released versions.

Okay. Let's go with replacing.

> 
> This however requires a few more changes:
> 
> - Completely obsolete/provide xfce4-icon-theme as per
> https://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.
> 2FReplacing_Existing_Packages
> 
> - You need to own all of %{_datadir}/icons/rodent/
> You need to own this directory anyway, because with two packages that do not 
> 

Done. I hope it's fine.

> - Replace it in comps, too. See
> https://fedoraproject.org/wiki/How_to_use_and_edit_comps.
> xml_for_package_groups

I presume that it must be done when package will be approved. 

> 
> - If you completely replace xfce4-icon-theme, you can simply use
> %{_datadir}/icons/Rodent/ instead of %{_datadir}/icons/rodent/
> 

rodent-icon-theme now owns %{_datadir}/icons/Rodent/.


> 
> General remarks:
> 
> - Instead of:
>   sed -e 's|Rodent|rodent|g' -i Makefile.in
>   sed -e 's|Rodent|rodent|g' -i scalable/*/Makefile.in
> you can simply use:
>   sed -e 's|Rodent|rodent|g' -i Makefile.in scalable/*/Makefile.in

rodent-icon-theme replaces xcfe4-icon-theme so these commands are not useful anymore.

> 
> - Please preserve timestamps during %prep and %install, see
> https://fedoraproject.org/wiki/Packaging:Guidelines#Timestamps
> 
> To preserve the timestamps during iconv conversion, see second example from
> https://fedoraproject.org/wiki/Packaging_tricks#Convert_encoding_to_UTF-8
> 
> To preserve timestamps during %install, please change
>   make install DESTDIR=$RPM_BUILD_ROOT
> to
>   make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

Done.

> 
> - The scriptlets create the icon theme cache, so you need to include it as 
> %ghost %{_datadir}/icons/rodent/icon-theme.cache
> See
> http://www.rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html
> 

Done.


Spec URL: http://sagitter.fedorapeople.org/rodent-icon-theme/rodent-icon-theme.spec
SRPM URL: http://sagitter.fedorapeople.org/rodent-icon-theme/rodent-icon-theme-5.0-3.fc19.src.rpm
Comment 19 Christoph Wickert 2013-12-05 13:20:28 EST
Looks good, but Christopher has the final call.
Comment 20 Christopher Meng 2013-12-05 19:57:31 EST
Icon cache scriptlets are not concurrent with the files you listed.
Comment 21 Antonio Trande 2013-12-06 09:50:11 EST
(In reply to Christopher Meng from comment #20)
> Icon cache scriptlets are not concurrent with the files you listed.

Ops ! :)
I left the release tag unchanged.
 
Spec URL: http://sagitter.fedorapeople.org/rodent-icon-theme/rodent-icon-theme.spec
SRPM URL: http://sagitter.fedorapeople.org/rodent-icon-theme/rodent-icon-theme-5.0-3.fc19.src.rpm
Comment 22 Christopher Meng 2013-12-06 10:05:13 EST
PACKAGE APPROVED.
Comment 23 Antonio Trande 2013-12-06 10:14:34 EST
Thanks!

New Package SCM Request
=======================
Package Name: rodent-icon-theme
Short Description: SVG scalable icon theme by Rodent 
Owners: sagitter
Branches: f20
Comment 24 Gwyn Ciesla 2013-12-06 10:36:52 EST
Git done (by process-git-requests).
Comment 25 Fedora Update System 2013-12-06 12:48:22 EST
rodent-icon-theme-5.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rodent-icon-theme-5.0-3.fc20
Comment 26 Fedora Update System 2013-12-06 14:59:53 EST
rodent-icon-theme-5.0-3.fc20 has been pushed to the Fedora 20 testing repository.
Comment 27 Fedora Update System 2013-12-14 22:27:45 EST
rodent-icon-theme-5.0-3.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.